#ifndef FUNCTIONOBJECTS_H
#define FUNCTIONOBJECTS_H

#include <list>
#include <vector>

#include <boost/mem_fn.hpp>

#include <Generic.h>
#include <Message.h>

class Potential;
class DiscretePotential;

			// ************* ComputeOverInt Declaration ********** //

template <class RanVar>
class ComputeOverInt : public std::unary_function<int,void>
{
public:
	
	virtual ~ComputeOverInt();
	
	virtual void set_random_variable (RanVar *) = 0;
	virtual void operator () (unsigned int) = 0;
	
};

			// ************* End of ComputeOverInt Declaration ********** //
		
#endif
