function [model] = compute_inference_to_disk(model, filename, method, method_arg1)

%
%if ( size(model.edges) ~= sum(sum(model.link_matrix)) )
%
%error('The number of given potential tables does not equal the number of edges in the graph.');
%
%end

% By default we assume standard import/export names and program name

exported_file_name = 'matlab_pgm_export_td';
%imported_file_name = 'matlab_pgm_import';

default_executable_name = '/usr/local/bin/pgm';

%default_executable_name = '~/bin/pgm';

% We delete each time the imported_file_name, thus we will each time be aware of errors.

warning off all

%delete (imported_file_name)

warning on all

if (nargin > 2)

export_model(exported_file_name, model, method, method_arg1);

else

export_model(exported_file_name, model, method);

end


loader(default_executable_name, exported_file_name, filename);


%model = import_results(model, imported_file_name);