M = [ 0 1 0; 0 0 1; 0 0 0];
my_network = new_model('pairwise', M);
my_network = set_variables_sizes(my_network, [2 3 5]);
my_network = set_potential(my_network, 1, 2, [0.2 0.1 0.3; 0.7 0.9 0.4]);
my_network = set_potential(my_network, 2, 3, [1 7 6 2 3; 5 6 5 1 2; 9 4 6 9 8]);
my_network = compute_inference(my_network, 'exact_bp');
my_network.marginals{:}
my_network = compute_inference(my_network, 'gibbs', 100);
my_network.marginals{:}